Configuration utilities.
Feature API » Internals of Feature API

## Functions

TSS2_RC | ifapi_config_initialize_async (IFAPI_IO *io)
TSS2_RC | ifapi_config_initialize_finish (IFAPI_IO *io, IFAPI_CONFIG *config)

## Detailed Description

Provides internal fapi functions for deserialization of the configuration data and the initialization of the configuration.

## Function Documentation

## ifapi_config_initialize_async()

TSS2_RC ifapi_config_initialize_async | ( | IFAPI_IO * | io | ) |

Starts the initialization of the FAPI configuration.

Parameters

  [in] | io | An IO object for file system access

Return values

  TSS2_RC_SUCCESS | on success
  TSS2_FAPI_RC_BAD_REFERENCE | if io is NULL
  TSS2_FAPI_RC_IO_ERROR | if an error occurred while accessing the object store.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_config_initialize_finish()

TSS2_RC ifapi_config_initialize_finish | ( | IFAPI_IO * | io,
|  | IFAPI_CONFIG * | config )

Finishes the initialization of the FAPI configuration.

Parameters

  [in] | io | An IO object for file system access
  [out] | config | The configuration that is initialized

Return values

  TSS2_RC_SUCCESS | on success
  TSS2_FAPI_RC_BAD_REFERENCE | if config or io is NULL
  TSS2_FAPI_RC_BAD_VALUE | if the read configuration file does not hold a valid configuration
  TSS2_FAPI_RC_GENERAL_FAILURE | if JSON parsing fails
  TSS2_FAPI_RC_BAD_PATH | if the configuration path is invalid
  TSS2_FAPI_RC_TRY_AGAIN | if an I/O operation is not finished yet and this function needs to be called again.
  TSS2_FAPI_RC_IO_ERROR | if an error occurred while accessing the object store.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.